--[[
Manages the allocation of ActionSetLayoutConfig and ActionSetLayout instances.
A user of this class allocates an ActionSetLayoutConfig instance, and then
passes a previously allocated ActionSetLayoutConfig instance when allocating
an ActionSetLayout instance.
--]]
uab.classes.SquareLayoutManager = uab.mixins.aceOO.Class(IActionSetLayoutManager)

function uab.classes.SquareLayoutManager.prototype:init()
	uab.classes.SquareLayoutManager.super.prototype.init(self)
	
    self.name = "uab.Square"
    self.localizedName = "Square"
	self.layouts = {}
end

function uab.classes.SquareLayoutManager.prototype:GetLayout(contextName, settings)
	if not self.layouts[contextName] then
	    self.layouts[contextName] = uab.classes.SquareLayout:new(settings)
	elseif settings then
	    self.layouts[contextName]:SetSettings(settings)
	end
	
	return self.layouts[contextName]
end

function uab.classes.SquareLayoutManager.prototype:GetName()
	return self.name
end

function uab.classes.SquareLayoutManager.prototype:GetDisplayName()
	return self.localizedName
end

uab:RegisterLayoutManager(uab.classes.SquareLayoutManager)
